Package be.fgov.ehealth.etee.ra.aqdr._1_0.protocol

# Enum Class Language

java.lang.Object
java.lang.Enum<Language>
be.fgov.ehealth.etee.ra.aqdr._1_0.protocol.Language

All Implemented Interfaces:
  `Serializable`, `Comparable<Language>`, `java.lang.constant.Constable`

public enum Language extends Enum<Language>

Java class for Language

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="Language">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="FR"/>
         <enumeration value="NL"/>
         <enumeration value="EN"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EN`
  `FR`
  `NL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Language`
  `fromValue(String v)`
  `String`
  `value()`
  `static Language`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Language[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FR

    public static final Language FR

  - ### NL

    public static final Language NL

  - ### EN

    public static final Language EN

- ## Method Details

  - ### values

    public static Language[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Language valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static Language fromValue(String v)